Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.0.0 E15725-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tangosol.util
Class WrapperCollections

`java.lang.Object
com.tangosol.util.WrapperCollections`

      public class WrapperCollections

extends Object

A collection of abstract Collection implementation classes for wrapping Collection types.

Author:
  mf 2007.07.05, rhl 2010.01.26

Nested Class Summary
`static class` | `WrapperCollections.AbstractWrapperCollection` Collection implementation which delegates all calls to another Collection.
`static class` | `WrapperCollections.AbstractWrapperEntry` Map.Entry implementation which delegates all calls to another Map.Entry.
`static class` | `WrapperCollections.AbstractWrapperIterator` Iterator implementation which delegates all calls to another Iterator.
`static class` | `WrapperCollections.AbstractWrapperList` List implementation which delegates all calls to another List.
`class` | `WrapperCollections.AbstractWrapperListIterator` ListIterator implementation which delegates all calls to another ListIterator.
`static class` | `WrapperCollections.AbstractWrapperMap` Map implementation which delegates all calls to another Map.
`static class` | `WrapperCollections.AbstractWrapperSet` Set implementation which delegates all calls to another Set.
`static class` | `WrapperCollections.AbstractWrapperSortedSet` SortedSet implementation which delegates all calls to another SortedSet.

Constructor Summary
`WrapperCollections()`

Constructor Detail

### WrapperCollections

    public WrapperCollections()

Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.0.0 E15725-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.